Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 4.0 (et nécessaire pour faire (...)

2021-05-03 Par sujet team spipfactoy


Le 03/05/2021 à 22:06, spip.fra...@lien-d-amis.net a écrit :

La compatibilité va de:
-dev



-alpha   la plupart des erreurs signalées sont résolues, mais il peut encore y 
avoir de graves problèmes connus en suspens, y compris des problèmes de 
sécurité. Le projet n'est pas complètement testé, il peut donc y avoir de 
nombreux bugs inconnus.Le public cible est les développeurs qui souhaitent 
participer aux tests, au débogage et au développement du projet.



-beta   toutes les pertes de données critiques et les bogues de sécurité sont 
résolus.Ne convient généralement pas aux sites de production, mais peut être 
utilisé sur certains sites de production si l'administrateur du site connaît 
bien le projet et sait gérer les problèmes restants.



-rc  créée que lorsque tous les problèmes de type de bogue critiques sont 
signalés corrigés dans la file d'attente des problèmes du projet. Cette balise 
ne doit être utilisée que lorsque le développeur estime que le projet est prêt 
à être utilisé sur un site de production. il doit au minimum resté un mois en rc




Sachant qu'il peut y avoir plusieurs versions, par exemple
-alpha1
-alpha2
Etc





*
*

*merci pour l'explication , la numérotation quand a elle applique le  
systéme GoRoCo ?? ou autre chose franck ?*




-Message d'origine-
De : RealET 
Envoyé : lundi 3 mai 2021 21:58
À : spip-dev@rezo.net
Objet : Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 
4.0 (et nécessaire pour faire (...)

spip.fra...@lien-d-amis.net a écrit le 03/05/2021 à 21:26 :

Hello 
La bonne écriture pour qu'il ne fonctionne qu'avec spip 4, c'est plutôt:
compatibilite="[4.0.0-alpha;4.0.*]"

L'idée, c'est *justement* que ça fonctionne aussi en 3.3 pour ceux qui l'ont 
déjà pour qu'ils puissent mettre à jour d'abord les plugins, puis SPIP.
Pragmatisme vs idéalisme ;-)

PS : et pour ma part, les écritures avec x.y.z-dev/alpha/rc c'est assez abscons 
pour savoir si dev continuera à fonctionner en alpha par exemple

;-)


--
RealET


___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip


--
spipfactory.fr (Mutualisation sous habillage ESCAL sur la branche stable 4.0.0)
spipfactory.com (#SPIP_VERSION - site de test basé sur la branche de 
développement)

Si tu ne sais pas ce que tu fais. Ne le fait pas. Simplement. ;)
(Marcimat)

En répondant a ce courriel vous acceptez implicitement la diffusion, l’échange 
de la conversation, sauf avis contraire clairement exprimé.

___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 4.0 (et nécessaire pour faire (...)

2021-05-03 Par sujet spip.franck

La compatibilité va de:
-dev 
-alpha
-beta
-rc

Sachant qu'il peut y avoir plusieurs versions, par exemple
-alpha1
-alpha2
Etc



-Message d'origine-
De : RealET  
Envoyé : lundi 3 mai 2021 21:58
À : spip-dev@rezo.net
Objet : Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 
4.0 (et nécessaire pour faire (...)

spip.fra...@lien-d-amis.net a écrit le 03/05/2021 à 21:26 :
> Hello 
> La bonne écriture pour qu'il ne fonctionne qu'avec spip 4, c'est plutôt:
> compatibilite="[4.0.0-alpha;4.0.*]"

L'idée, c'est *justement* que ça fonctionne aussi en 3.3 pour ceux qui l'ont 
déjà pour qu'ils puissent mettre à jour d'abord les plugins, puis SPIP.
Pragmatisme vs idéalisme ;-)

PS : et pour ma part, les écritures avec x.y.z-dev/alpha/rc c'est assez abscons 
pour savoir si dev continuera à fonctionner en alpha par exemple

;-)


--
RealET


___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 4.0 (et nécessaire pour faire (...)

2021-05-03 Par sujet RealET

spip.fra...@lien-d-amis.net a écrit le 03/05/2021 à 21:26 :

Hello 
La bonne écriture pour qu'il ne fonctionne qu'avec spip 4, c'est plutôt:
compatibilite="[4.0.0-alpha;4.0.*]"


L'idée, c'est *justement* que ça fonctionne aussi en 3.3 pour ceux qui 
l'ont déjà pour qu'ils puissent mettre à jour d'abord les plugins, puis 
SPIP.

Pragmatisme vs idéalisme ;-)

PS : et pour ma part, les écritures avec x.y.z-dev/alpha/rc c'est assez 
abscons pour savoir si dev continuera à fonctionner en alpha par exemple


;-)


--
RealET


___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

Re: [spip-dev] [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 4.0 (et nécessaire pour faire (...)

2021-05-03 Par sujet spip.franck
Hello 
La bonne écriture pour qu'il ne fonctionne qu'avec spip 4, c'est plutôt:
compatibilite="[4.0.0-alpha;4.0.*]"

Franck

-Message d'origine-
De : RealET  
Envoyé : lundi 3 mai 2021 21:15
À : spip-zone-com...@rezo.net
Objet : [Spip-zone-commit] [fullcalendarcompat] Compatible SPIP 4.0 (et 
nécessaire pour faire (...)

spip-contrib-extensions/fullcalendarcompat
-
Par RealET, le 3 mai 2021 à 21h14min : 

Compatible SPIP 4.0 (et nécessaire pour faire fonctionner les agenda côté 
public sans changement de code par rapport à SPIP 3.2)


*Modifié*
paquet.xml

Détails : 
https://git.spip.net/spip-contrib-extensions/fullcalendarcompat/commit/2fb0ec1138204fcedf80d8f5f95e8de3bcc26549

___
spip-zone-com...@rezo.net - 
https://listes.rezo.net/mailman/listinfo/spip-zone-commit

___
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip